com.genesyslab.wfm8.API.service.forecast800

## Class FrcActivityStateGroup

- java.lang.Object
- - com.genesyslab.wfm8.API.service.forecast800.FrcActivityStateGroup

- All Implemented Interfaces:
    java.io.Serializable

      public class FrcActivityStateGroup
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `activityID`
    `private static long` | `serialVersionUID`
    `protected int` | `stateGroupID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FrcActivityStateGroup()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getActivityID()` Gets the value of the activityID property.
    `int` | `getStateGroupID()` Gets the value of the stateGroupID property.
    `int` | `hashCode()`
    `void` | `setActivityID(int value)` Sets the value of the activityID property.
    `void` | `setStateGroupID(int value)` Sets the value of the stateGroupID property.
    `java.lang.String` | `toString()`
    `FrcActivityStateGroup` | `withActivityID(int value)`
    `FrcActivityStateGroup` | `withStateGroupID(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### activityID

          protected int activityID

    - #### stateGroupID

          protected int stateGroupID

  - ### Constructor Detail

    - #### FrcActivityStateGroup

          public FrcActivityStateGroup()

  - ### Method Detail

    - #### getActivityID

          public int getActivityID()

      Gets the value of the activityID property.

    - #### setActivityID

          public void setActivityID(int value)

      Sets the value of the activityID property.

    - #### getStateGroupID

          public int getStateGroupID()

      Gets the value of the stateGroupID property.

    - #### setStateGroupID

          public void setStateGroupID(int value)

      Sets the value of the stateGroupID property.

    - #### withActivityID

          public FrcActivityStateGroup withActivityID(int value)

    - #### withStateGroupID

          public FrcActivityStateGroup withStateGroupID(int value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.